pretalx-data-directory-exists:
  file.directory:
    - name: /opt/pretalx/data
    - makedirs: True

pretalx-public-directory-exists:
  file.directory:
    - name: /opt/pretalx/public
    - makedirs: True

pretalx-config-file-is-present:
  file.managed:
    - name: /opt/pretalx/pretalx.cfg
    - source: salt://pretalx/pretalx.cfg.jinja
    - template: jinja

pretalx-docker-container-running:
  docker_container.running:
    - name: pretalx
    - image: {{ salt['pillar.get']('pretalx:image:path', 'docker.io/pretalx/standalone:latest') }}:{{ salt['pillar.get']('pretalx:image:version', 'v2024.1.0') }}
    - container_name: pretalx
    - environment:
      - PRETALX_FILESYSTEM_MEDIA=/public/media
      - PRETALX_FILESYSTEM_STATIC=/public/static
    - restart: always
    - networks:
      - bridge
    - binds:
      - /opt/pretalx/pretalx.cfg:/etc/pretalx/pretalx.cfg:ro
      - /opt/pretalx/data:/data
      - /opt/pretalx/public:/public
    - port_bindings:
      - "{{ salt['pillar.get']('pretalx:container_web_port', "127.0.0.1:3000") }}:80"
